<mat-grid-list [cols]="cols$ | async" rowHeight="3:2" gutterSize="24px">
  @for (
    learningSection of learningSectionList;
    track learningSection;
    let idx = $index
  ) {
    <mat-grid-tile>
      <mat-card
        class="learning-card justify-content-between mat-elevation-z3 bg-grey-50"
      >
        <div class="title-container bg-grey-300 mb-1">
          <h3>{{ learningSection.title }}</h3>

          <button
            class="preview-btn"
            mat-icon-button
            disabled
            aria-label="Icon button with an arrow forward icon"
          >
            <mat-icon class="fw-700">arrow_forward</mat-icon>
          </button>
        </div>

        <mat-card-content>
          {{ learningSection.description }}
        </mat-card-content>
        <mat-card-actions></mat-card-actions>
      </mat-card>
    </mat-grid-tile>
  }
</mat-grid-list>
